//
// STM32L071 SPI Test
// 9/17/20                     -jkl
//    Just a simple Loop-back test.
// Values read back in should be same as what is written out.
// Verify using gdb.
// This version works!

#include <SPI.h>

//const int slaveAPin = 20; // Not necessary for loop-back

// set up the speed, mode and endianness of each device
SPISettings settingsA(4000000, MSBFIRST, SPI_MODE0); 

void setup() {
  // initialize SPI:
// Without these sets, SPI won't work!
  SPI.setMOSI(PA_7);
  SPI.setMISO(PA_6);
  SPI.setSCLK(PA_5);
  SPI.begin(); 
}

uint8_t stat, val1, val2;

void loop() {
  SPI.beginTransaction(settingsA);
// Values sent should be read back in.
  stat = SPI.transfer(0xaa);
  val1 = SPI.transfer(0x55);
  val2 = SPI.transfer(0xa5);
  SPI.endTransaction();
}

